import 'package:cids_cgi/cids_cgi.dart';
import 'package:cids_cgi/src/module/auth/page/login_page.dart';
import 'package:flutter/material.dart';

class BiometricsErrorPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          Positioned(
              left: 16,
              right: 16,
              top: 80,
              child: Container(
                  height: 70,
                  child: Theme.of(context).brightness == Brightness.light
                      ? Image.asset("images/consultors.png")
                      : Image.asset("images/consultors_dark.png"))),
          Positioned(
              left: 16,
              right: 16,
              bottom: 50,
              child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceAround,
                  children: [
                    SizedBox(
                      height: 50,
                      width: MediaQuery.of(context).size.width * .4,
                      child: OutlineButton(
                        onPressed: () {
                          SharedPreferencesHandler().clear();
                          Navigator.of(context).pushAndRemoveUntil(
                              MaterialPageRoute(
                                  builder: (context) => LoginPage()),
                              (Route<dynamic> route) => false);
                        },
                        child: Text("Sair do app"),
                      ),
                    ),
                    SizedBox(
                        height: 50,
                        width: MediaQuery.of(context).size.width * .4,
                        child: RaisedButton(
                          onPressed: () async {
                            final auth =
                                await BiometricsHandler().call(context);
                            if (auth) {
                              Navigator.of(context).pushNamedAndRemoveUntil(
                                  '/home', (Route<dynamic> route) => false);
                            }
                          },
                          child: Text("Autenticar"),
                        ))
                  ]))
        ],
      ),
    );
  }
}
